Skip to content
This repository

HTTPS clone URL

Subversion checkout URL

You can clone with HTTPS or Subversion.

Download ZIP

Fetching latest commit…

Octocat-spinner-32-eaf2f5

Cannot retrieve the latest commit at this time

Octocat-spinner-32 pages
Octocat-spinner-32 tests
Octocat-spinner-32 .gitignore
Octocat-spinner-32 CONTRIBUTORS
Octocat-spinner-32 README.md
Octocat-spinner-32 mozwebqa.cfg
Octocat-spinner-32 requirements.txt
README.md

Mozilla.com Selenium Tests

This repository holds automated tests for http://www.mozilla.com

Running Tests

Java

You will need a version of the Java Runtime Environment installed

Python

Before you will be able to run these tests you will need to have Python 2.6 installed.

note

The instructions below will install the required Python libraries into your global Python installation. If you work on multiple Python projects that might end up needing different versions of the same libraries, you might want to follow sudo easy_install pip with sudo pip install virtualenv, and then create and activate a virtualenv (e.g. virtualenv mcom-tests-env; source mcom-tests-env/bin/activate) to create a clean "virtual environment" for just this project. Then you can pip install -r requiremenst/requirements.txt in your virtual environment without needing to use sudo.

If you don't mind installing globally, just run

sudo easy_install pip

followed by

sudo pip install -r requirements/requirements.txt

note

If you are running on Ubuntu/Debian you will need to first do

sudo apt-get install python-setuptools

to install the required Python libraries.

Selenium

Once this is all set up you will need to download and start a Selenium server. You can download the latest Selenium server from here. The filename will be something like 'selenium-server-standalone-x.x.jar (where x.x is current shipping version)'

To start the Selenium server run the following command:

java -jar ~/Downloads/selenium-server-standalone-x.x.jar (where x.x is current shipping version)

Change the path/name to the downloaded Selenium server file.

Once the above prerequisites have been met you can run the tests using the following command:

py.test --driver=firefox --destructive  

Writing Tests

If you want to get involved and add more tests then there's just a few things we'd like to ask you to do:

  1. Use the template files for all new tests and page objects
  2. Follow our simple style guide
  3. Fork this project with your own GitHub account
  4. Make sure all tests are passing, and submit a pull request with your changes

License

This software is licensed under the Mozilla Tri-License:

***** BEGIN LICENSE BLOCK *****
Version: MPL 1.1/GPL 2.0/LGPL 2.1

The contents of this file are subject to the Mozilla Public License Version
1.1 (the "License"); you may not use this file except in compliance with
the License. You may obtain a copy of the License at
http://www.mozilla.org/MPL/

Software distributed under the License is distributed on an "AS IS" basis,
WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License
for the specific language governing rights and limitations under the
License.

The Original Code is Mozilla WebQA Selenium Tests.

The Initial Developer of the Original Code is Mozilla.
Portions created by the Initial Developer are Copyright (C) 2011
the Initial Developer. All Rights Reserved.

Contributor(s):


Alternatively, the contents of this file may be used under the terms of
either the GNU General Public License Version 2 or later (the "GPL"), or
the GNU Lesser General Public License Version 2.1 or later (the "LGPL"),
in which case the provisions of the GPL or the LGPL are applicable instead
of those above. If you wish to allow use of your version of this file only
under the terms of either the GPL or the LGPL, and not to allow others to
use your version of this file under the terms of the MPL, indicate your
decision by deleting the provisions above and replace them with the notice
and other provisions required by the GPL or the LGPL. If you do not delete
the provisions above, a recipient may use your version of this file under
the terms of any one of the MPL, the GPL or the LGPL.

***** END LICENSE BLOCK *****
Something went wrong with that request. Please try again.